View a markdown version of this page

GetSamplingOperationResult - Amazon SageMaker

GetSamplingOperationResult

Retrieves the current status and result of a previously submitted sampling operation. Poll this operation until the status reaches a terminal state (Completed or Failed).

Request Syntax

GET /v1/training-sessions/trainingSessionName/sampling-operations/operationId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

operationId

The unique identifier of the sample operation to retrieve, returned by ExecuteSamplingOperation.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9-]+

Required: Yes

trainingSessionName

The name of the training session that owns the sample operation.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "errorDetails": "string", "operationResult": { ... }, "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

errorDetails

A message describing why the sample operation failed. The service populates this field only when the status is Failed.

Type: String

operationResult

The result payload of the sample operation. The service populates this field only when the status is Completed.

Type: SampleOperationResult object

Note: This object is a Union. Only one member of this object can be specified or returned.

status

The current status of the sample operation. Possible values are Pending, InProgress, Completed, or Failed.

Type: String

Valid Values: Pending | InProgress | Completed | Failed | Skipped

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServerException

An internal service error occurred. Retry the request using exponential backoff.

HTTP Status Code: 500

ResourceNotFoundException

The specified training session or operation does not exist, or the operation does not belong to the specified training session.

HTTP Status Code: 404

ThrottlingException

The request was throttled. Retry the request after a brief wait using exponential backoff.

HTTP Status Code: 429

ValidationException

The request is not valid. Check the request syntax and parameters. Examples include invalid sequence numbers, malformed client tokens, missing required fields, or invalid operation configuration.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: